| Home | Libraries | People | FAQ | More

#### io_service::dispatch

Request the io_service to invoke the given handler.

    template<
        typename CompletionHandler>
    void dispatch(
        CompletionHandler handler);

This function is used to ask the io_service to execute the given handler.

The io_service guarantees that the handler will only be called in a thread in which the run(), run_one(), poll() or poll_one() member functions is currently being invoked. The handler may be executed inside this function if the guarantee can be met.

###### Parameters

handler

  The handler to be called. The io_service will make a copy of the handler object as required. The function signature of the handler must be:

      void handler();